diff --git a/Makefile b/Makefile
index 0be77b1..42bb241 100644
--- a/Makefile
+++ b/Makefile
@@ -2,7 +2,7 @@
 
 # BASENAME should point to where the whole lot will be installed
 # change BASENAME to your home directory if need be
-BASENAME	= /usr
+BASENAME	= @GENTOO_PORTAGE_EPREFIX@/usr
 # For display in the man pages
 VISIBLE_BASENAME= $(BASENAME)
 
@@ -79,7 +79,7 @@ SEARCHLIBS = -lm -ldir -lx -lsocket -lnet -linet -lnsl_s -lnsl_i -lnsl -lsun \
 #			-lresolv	# not really needed, is it?
 
 # Informal list of directories where we look for the libraries in SEARCHLIBS
-LIBPATHS=/lib /usr/lib /usr/local/lib
+LIBPATHS=@GENTOO_PORTAGE_EPREFIX@/lib @GENTOO_PORTAGE_EPREFIX@/usr/lib
 
 GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat -Wtraditional \
  -Wpointer-arith -Wconversion -Waggregate-return \
@@ -97,10 +97,10 @@ LDFLAGS1= $(LDFLAGS0) $(LIBS) #-lcposix
 ####CC	= cc # gcc
 # object file extension
 O	= o
-RM	= /bin/rm -f
+RM	= @GENTOO_PORTAGE_EPREFIX@/bin/rm -f
 MV	= mv -f
 LN	= ln
-BSHELL	= /bin/sh
+BSHELL	= @GENTOO_PORTAGE_EPREFIX@/bin/sh
 INSTALL = cp
 DEVNULL = /dev/null
 STRIP	= strip
@@ -112,7 +112,7 @@ MANS1S	= procmail formail lockfile mailstat
 MANS5S	= procmailrc procmailsc procmailex
 
 # Possible locations for the sendmail.cf file
-SENDMAILCFS = /etc/mail/sendmail.cf /etc/sendmail.cf /usr/lib/sendmail.cf
+SENDMAILCFS = @GENTOO_PORTAGE_EPREFIX@/etc/mail/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/etc/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/usr/lib/sendmail.cf
 
 # Makefile - mark, don't (re)move this, a sed script needs it
 
diff --git a/config.h b/config.h
index 4f6b57e..ef69e0b 100644
--- a/config.h
+++ b/config.h
@@ -116,11 +116,11 @@
 	is not found, maildelivery will proceed as normal to the default
 	system mailbox.	 This also must be an absolute path */
 
-#define ETCRC	"/etc/procmailrc"	/* optional global procmailrc startup
+#define ETCRC	"@GENTOO_PORTAGE_EPREFIX@/etc/procmailrc"	/* optional global procmailrc startup
 					   file (will only be read if procmail
 	is started with no rcfile on the command line). */
 
-#define ETCRCS	"/etc/procmailrcs/"	/* optional trusted path prefix for
+#define ETCRCS	"@GENTOO_PORTAGE_EPREFIX@/etc/procmailrcs/"	/* optional trusted path prefix for
 					   rcfiles which will be executed with
 	the uid of the owner of the rcfile (this only happens if procmail is
 	called with the -m option, without variable assignments on the command
@@ -175,7 +175,7 @@
 #define INEFFICIENTrealloc			  /* don't pussy-foot around */
 #endif
 #define MAXinMEM	(1024*1024)		 /* when to switch to mmap() */
-#define MMAP_DIR	"/var/spool/procmail/"		     /* where to put */
+#define MMAP_DIR	"@GENTOO_PORTAGE_EPREFIX@/var/spool/procmail/"		     /* where to put */
 #endif								/* the files */
 #define MINlogbuf	81			       /* fit an entire line */
 #define MAXlogbuf	1000		       /* in case someone abuses LOG */
@@ -227,8 +227,8 @@ MMGR)\
 #define DEFcomsat	offvalue	/* when an rcfile has been specified */
 				      /* set to either "offvalue" or "empty" */
 
-#define BinSh		"/bin/sh"
-#define ROOT_DIR	"/"
+#define BinSh		"@GENTOO_PORTAGE_EPREFIX@/bin/sh"
+#define ROOT_DIR	"@GENTOO_PORTAGE_EPREFIX@"
 #define DEAD_LETTER	"/tmp/dead.letter"    /* $ORGMAIL if no passwd entry */
 #define DevNull		"/dev/null"
 #define NICE_RANGE	39			  /* maximal nice difference */
diff --git a/src/autoconf b/src/autoconf
index 7c46487..094e4f0 100755
--- a/src/autoconf
+++ b/src/autoconf
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! @GENTOO_PORTAGE_EPREFIX@/bin/sh
 :
 # Copyright (c) 1990-1997, S.R. van den Berg, The Netherlands
 #$Id$
@@ -1416,22 +1416,12 @@ _autotst >>$ACONF
 
 found=no
 
-for a in /var/spool/mail /usr/spool/mail /var/mail /usr/mail /spool/mail
-do
-  test -d $a -a $found = no && found=$a
-done
-if test $found = no
-then
- found=/var/spool/mail
- echo Could not find the system-mailbox directory, supplied default.
-fi
 echo '#ifndef MAILSPOOLDIR' >>$ACONF
-echo '#define MAILSPOOLDIR "'$found'/"' >>$ACONF
+echo '#define MAILSPOOLDIR "@GENTOO_PORTAGE_EPREFIX@/var/spool/mail/"' >>$ACONF
 echo '#endif' >>$ACONF
 
 cat >lookfor <<HERE
-for a in /usr/sbin /usr/lib /lib /usr/etc /etc /usr/bin /bin /usr/local/bin \
- /usr/lbin /usr/local/lib /usr/local /usr/.lib /local/bin /sbin
+for a in @GENTOO_PORTAGE_EPREFIX@/usr/sbin
 do
  if test -f "\$a/\$1"
  then
@@ -1460,7 +1450,7 @@ fi
 grep '^#define SENDMAIL ".*/sendmail"' $ACONF >$DEVNULL ||
  echo "#define DEFflagsendmail \"\"" >>$ACONF
 
-a=/tmp/_chowntst.$$
+a=@GENTOO_PORTAGE_EPREFIX@/tmp/_chowntst.$$
 $RM -r $a
 OLDTESTDIRS="$a $OLDTESTDIRS"
 mkdir $a
@@ -1468,19 +1458,18 @@ mkdir $a/__
 
 _autotst $a/__ $a/__/__ 4 >>$ACONF
 
-cat /usr/lib/sendmail.cf /etc/sendmail.cf /etc/mail/sendmail.cf 2>$DEVNULL |
+cat @GENTOO_PORTAGE_EPREFIX@/usr/lib/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/etc/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/etc/mail/sendmail.cf 2>$DEVNULL |
  grep 'Mlocal.*procmail' >$DEVNULL ||
  echo '#define CF_no_procmail_yet' >>$ACONF
 
-cat /usr/lib/sendmail.cf /etc/sendmail.cf /etc/mail/sendmail.cf 2>$DEVNULL |
+cat @GENTOO_PORTAGE_EPREFIX@/usr/lib/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/etc/sendmail.cf @GENTOO_PORTAGE_EPREFIX@/etc/mail/sendmail.cf 2>$DEVNULL |
  grep '^V' >$DEVNULL ||
  echo '#define buggy_SENDMAIL' >>$ACONF
 
-lpath='/usr/local/bin:/bin'
-bins="/bin"
+lpath='@GENTOO_PORTAGE_EPREFIX@/bin'
+bins='@GENTOO_PORTAGE_EPREFIX@/bin'
 
-for newd in /usr/bin /usr/ucb /usr/5bin $BINDIR /local/bin \
- /global/bin /usr/bin/X11 /usr/X*/bin
+for newd in @GENTOO_PORTAGE_EPREFIX@/usr/bin
 do
   if test -d $newd
   then
diff --git a/src/recommend.c b/src/recommend.c
index 980098f..f4b7095 100644
--- a/src/recommend.c
+++ b/src/recommend.c
@@ -9,8 +9,7 @@
 
 char mailspooldir[]=MAILSPOOLDIR;
 const char dirsep[]=DIRSEP,
- *const checkf[]={"/bin/mail","/bin/lmail","/usr/lib/sendmail",
- "/usr/lib/smail",0};
+ *const checkf[]={"@GENTOO_PORTAGE_EPREFIX@/usr/bin/sendmail",0};
 
 int main(argc,argv)const int argc;const char*const argv[];
 { struct group*grp;struct stat stbuf;gid_t gid=(gid_t)-1;
-- 
2.42.0

